<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Wed Sep 10 14:57:28 CEST 2014 -->
<title>Uses of Interface org.java_websocket.framing.Framedata</title>
<meta name="date" content="2014-09-10">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Interface org.java_websocket.framing.Framedata";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/java_websocket/framing/class-use/Framedata.html" target="_top">Frames</a></li>
<li><a href="Framedata.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Interface org.java_websocket.framing.Framedata" class="title">Uses of Interface<br>org.java_websocket.framing.Framedata</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#fr.inria.alpage.frmgcm.server">fr.inria.alpage.frmgcm.server</a></td>
<td class="colLast">
<div class="block">This package contains the classes defining the server(s) run by the application.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.java_websocket">org.java_websocket</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.java_websocket.client">org.java_websocket.client</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.java_websocket.drafts">org.java_websocket.drafts</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.java_websocket.framing">org.java_websocket.framing</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.java_websocket.server">org.java_websocket.server</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="fr.inria.alpage.frmgcm.server">
<!--   -->
</a>
<h3>Uses of <a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a> in <a href="../../../../fr/inria/alpage/frmgcm/server/package-summary.html">fr.inria.alpage.frmgcm.server</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../fr/inria/alpage/frmgcm/server/package-summary.html">fr.inria.alpage.frmgcm.server</a> with parameters of type <a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">FRMGWebSocketServer.</span><code><strong><a href="../../../../fr/inria/alpage/frmgcm/server/FRMGWebSocketServer.html#onFragment(org.java_websocket.WebSocket,%20org.java_websocket.framing.Framedata)">onFragment</a></strong>(<a href="../../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
          <a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;fragment)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.java_websocket">
<!--   -->
</a>
<h3>Uses of <a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a> in <a href="../../../../org/java_websocket/package-summary.html">org.java_websocket</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../org/java_websocket/package-summary.html">org.java_websocket</a> with parameters of type <a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketListener.</span><code><strong><a href="../../../../org/java_websocket/WebSocketListener.html#onWebsocketMessageFragment(org.java_websocket.WebSocket,%20org.java_websocket.framing.Framedata)">onWebsocketMessageFragment</a></strong>(<a href="../../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                          <a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;frame)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketAdapter.</span><code><strong><a href="../../../../org/java_websocket/WebSocketAdapter.html#onWebsocketMessageFragment(org.java_websocket.WebSocket,%20org.java_websocket.framing.Framedata)">onWebsocketMessageFragment</a></strong>(<a href="../../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                          <a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;frame)</code>
<div class="block">This default implementation does not do anything.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketListener.</span><code><strong><a href="../../../../org/java_websocket/WebSocketListener.html#onWebsocketPing(org.java_websocket.WebSocket,%20org.java_websocket.framing.Framedata)">onWebsocketPing</a></strong>(<a href="../../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
               <a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;f)</code>
<div class="block">Called a ping frame has been received.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketAdapter.</span><code><strong><a href="../../../../org/java_websocket/WebSocketAdapter.html#onWebsocketPing(org.java_websocket.WebSocket,%20org.java_websocket.framing.Framedata)">onWebsocketPing</a></strong>(<a href="../../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
               <a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;f)</code>
<div class="block">This default implementation will send a pong in response to the received ping.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketListener.</span><code><strong><a href="../../../../org/java_websocket/WebSocketListener.html#onWebsocketPong(org.java_websocket.WebSocket,%20org.java_websocket.framing.Framedata)">onWebsocketPong</a></strong>(<a href="../../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
               <a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;f)</code>
<div class="block">Called when a pong frame is received.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketAdapter.</span><code><strong><a href="../../../../org/java_websocket/WebSocketAdapter.html#onWebsocketPong(org.java_websocket.WebSocket,%20org.java_websocket.framing.Framedata)">onWebsocketPong</a></strong>(<a href="../../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
               <a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;f)</code>
<div class="block">This default implementation does not do anything.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketImpl.</span><code><strong><a href="../../../../org/java_websocket/WebSocketImpl.html#sendFrame(org.java_websocket.framing.Framedata)">sendFrame</a></strong>(<a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;framedata)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocket.</span><code><strong><a href="../../../../org/java_websocket/WebSocket.html#sendFrame(org.java_websocket.framing.Framedata)">sendFrame</a></strong>(<a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;framedata)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../org/java_websocket/package-summary.html">org.java_websocket</a> with type arguments of type <a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="strong">WebSocketImpl.</span><code><strong><a href="../../../../org/java_websocket/WebSocketImpl.html#send(java.util.Collection)">send</a></strong>(java.util.Collection&lt;<a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&gt;&nbsp;frames)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.java_websocket.client">
<!--   -->
</a>
<h3>Uses of <a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a> in <a href="../../../../org/java_websocket/client/package-summary.html">org.java_websocket.client</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../org/java_websocket/client/package-summary.html">org.java_websocket.client</a> with parameters of type <a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketClient.</span><code><strong><a href="../../../../org/java_websocket/client/WebSocketClient.html#onFragment(org.java_websocket.framing.Framedata)">onFragment</a></strong>(<a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;frame)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketClient.</span><code><strong><a href="../../../../org/java_websocket/client/WebSocketClient.html#onWebsocketMessageFragment(org.java_websocket.WebSocket,%20org.java_websocket.framing.Framedata)">onWebsocketMessageFragment</a></strong>(<a href="../../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                          <a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;frame)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketClient.</span><code><strong><a href="../../../../org/java_websocket/client/WebSocketClient.html#sendFrame(org.java_websocket.framing.Framedata)">sendFrame</a></strong>(<a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;framedata)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.java_websocket.drafts">
<!--   -->
</a>
<h3>Uses of <a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a> in <a href="../../../../org/java_websocket/drafts/package-summary.html">org.java_websocket.drafts</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../org/java_websocket/drafts/package-summary.html">org.java_websocket.drafts</a> declared as <a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a></code></td>
<td class="colLast"><span class="strong">Draft_10.</span><code><strong><a href="../../../../org/java_websocket/drafts/Draft_10.html#fragmentedframe">fragmentedframe</a></strong></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../org/java_websocket/drafts/package-summary.html">org.java_websocket.drafts</a> with type parameters of type <a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected java.util.List&lt;<a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&gt;</code></td>
<td class="colLast"><span class="strong">Draft_75.</span><code><strong><a href="../../../../org/java_websocket/drafts/Draft_75.html#readyframes">readyframes</a></strong></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../org/java_websocket/drafts/package-summary.html">org.java_websocket.drafts</a> that return <a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a></code></td>
<td class="colLast"><span class="strong">Draft_10.</span><code><strong><a href="../../../../org/java_websocket/drafts/Draft_10.html#translateSingleFrame(java.nio.ByteBuffer)">translateSingleFrame</a></strong>(java.nio.ByteBuffer&nbsp;buffer)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../org/java_websocket/drafts/package-summary.html">org.java_websocket.drafts</a> that return types with arguments of type <a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&gt;</code></td>
<td class="colLast"><span class="strong">Draft.</span><code><strong><a href="../../../../org/java_websocket/drafts/Draft.html#continuousFrame(org.java_websocket.framing.Framedata.Opcode,%20java.nio.ByteBuffer,%20boolean)">continuousFrame</a></strong>(<a href="../../../../org/java_websocket/framing/Framedata.Opcode.html" title="enum in org.java_websocket.framing">Framedata.Opcode</a>&nbsp;op,
               java.nio.ByteBuffer&nbsp;buffer,
               boolean&nbsp;fin)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>abstract java.util.List&lt;<a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&gt;</code></td>
<td class="colLast"><span class="strong">Draft.</span><code><strong><a href="../../../../org/java_websocket/drafts/Draft.html#createFrames(java.nio.ByteBuffer,%20boolean)">createFrames</a></strong>(java.nio.ByteBuffer&nbsp;binary,
            boolean&nbsp;mask)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&gt;</code></td>
<td class="colLast"><span class="strong">Draft_75.</span><code><strong><a href="../../../../org/java_websocket/drafts/Draft_75.html#createFrames(java.nio.ByteBuffer,%20boolean)">createFrames</a></strong>(java.nio.ByteBuffer&nbsp;binary,
            boolean&nbsp;mask)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&gt;</code></td>
<td class="colLast"><span class="strong">Draft_10.</span><code><strong><a href="../../../../org/java_websocket/drafts/Draft_10.html#createFrames(java.nio.ByteBuffer,%20boolean)">createFrames</a></strong>(java.nio.ByteBuffer&nbsp;binary,
            boolean&nbsp;mask)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>abstract java.util.List&lt;<a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&gt;</code></td>
<td class="colLast"><span class="strong">Draft.</span><code><strong><a href="../../../../org/java_websocket/drafts/Draft.html#createFrames(java.lang.String,%20boolean)">createFrames</a></strong>(java.lang.String&nbsp;text,
            boolean&nbsp;mask)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&gt;</code></td>
<td class="colLast"><span class="strong">Draft_75.</span><code><strong><a href="../../../../org/java_websocket/drafts/Draft_75.html#createFrames(java.lang.String,%20boolean)">createFrames</a></strong>(java.lang.String&nbsp;text,
            boolean&nbsp;mask)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&gt;</code></td>
<td class="colLast"><span class="strong">Draft_10.</span><code><strong><a href="../../../../org/java_websocket/drafts/Draft_10.html#createFrames(java.lang.String,%20boolean)">createFrames</a></strong>(java.lang.String&nbsp;text,
            boolean&nbsp;mask)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>abstract java.util.List&lt;<a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&gt;</code></td>
<td class="colLast"><span class="strong">Draft.</span><code><strong><a href="../../../../org/java_websocket/drafts/Draft.html#translateFrame(java.nio.ByteBuffer)">translateFrame</a></strong>(java.nio.ByteBuffer&nbsp;buffer)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&gt;</code></td>
<td class="colLast"><span class="strong">Draft_76.</span><code><strong><a href="../../../../org/java_websocket/drafts/Draft_76.html#translateFrame(java.nio.ByteBuffer)">translateFrame</a></strong>(java.nio.ByteBuffer&nbsp;buffer)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&gt;</code></td>
<td class="colLast"><span class="strong">Draft_75.</span><code><strong><a href="../../../../org/java_websocket/drafts/Draft_75.html#translateFrame(java.nio.ByteBuffer)">translateFrame</a></strong>(java.nio.ByteBuffer&nbsp;buffer)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&gt;</code></td>
<td class="colLast"><span class="strong">Draft_10.</span><code><strong><a href="../../../../org/java_websocket/drafts/Draft_10.html#translateFrame(java.nio.ByteBuffer)">translateFrame</a></strong>(java.nio.ByteBuffer&nbsp;buffer)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.util.List&lt;<a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&gt;</code></td>
<td class="colLast"><span class="strong">Draft_75.</span><code><strong><a href="../../../../org/java_websocket/drafts/Draft_75.html#translateRegularFrame(java.nio.ByteBuffer)">translateRegularFrame</a></strong>(java.nio.ByteBuffer&nbsp;buffer)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../org/java_websocket/drafts/package-summary.html">org.java_websocket.drafts</a> with parameters of type <a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>abstract java.nio.ByteBuffer</code></td>
<td class="colLast"><span class="strong">Draft.</span><code><strong><a href="../../../../org/java_websocket/drafts/Draft.html#createBinaryFrame(org.java_websocket.framing.Framedata)">createBinaryFrame</a></strong>(<a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;framedata)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.nio.ByteBuffer</code></td>
<td class="colLast"><span class="strong">Draft_76.</span><code><strong><a href="../../../../org/java_websocket/drafts/Draft_76.html#createBinaryFrame(org.java_websocket.framing.Framedata)">createBinaryFrame</a></strong>(<a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;framedata)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.nio.ByteBuffer</code></td>
<td class="colLast"><span class="strong">Draft_75.</span><code><strong><a href="../../../../org/java_websocket/drafts/Draft_75.html#createBinaryFrame(org.java_websocket.framing.Framedata)">createBinaryFrame</a></strong>(<a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;framedata)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.nio.ByteBuffer</code></td>
<td class="colLast"><span class="strong">Draft_10.</span><code><strong><a href="../../../../org/java_websocket/drafts/Draft_10.html#createBinaryFrame(org.java_websocket.framing.Framedata)">createBinaryFrame</a></strong>(<a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;framedata)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.java_websocket.framing">
<!--   -->
</a>
<h3>Uses of <a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a> in <a href="../../../../org/java_websocket/framing/package-summary.html">org.java_websocket.framing</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subinterfaces, and an explanation">
<caption><span>Subinterfaces of <a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a> in <a href="../../../../org/java_websocket/framing/package-summary.html">org.java_websocket.framing</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/java_websocket/framing/CloseFrame.html" title="interface in org.java_websocket.framing">CloseFrame</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/java_websocket/framing/FrameBuilder.html" title="interface in org.java_websocket.framing">FrameBuilder</a></strong></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/java_websocket/framing/package-summary.html">org.java_websocket.framing</a> that implement <a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/java_websocket/framing/CloseFrameBuilder.html" title="class in org.java_websocket.framing">CloseFrameBuilder</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/java_websocket/framing/FramedataImpl1.html" title="class in org.java_websocket.framing">FramedataImpl1</a></strong></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../org/java_websocket/framing/package-summary.html">org.java_websocket.framing</a> with parameters of type <a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">FramedataImpl1.</span><code><strong><a href="../../../../org/java_websocket/framing/FramedataImpl1.html#append(org.java_websocket.framing.Framedata)">append</a></strong>(<a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;nextframe)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">Framedata.</span><code><strong><a href="../../../../org/java_websocket/framing/Framedata.html#append(org.java_websocket.framing.Framedata)">append</a></strong>(<a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;nextframe)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../org/java_websocket/framing/package-summary.html">org.java_websocket.framing</a> with parameters of type <a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><strong><a href="../../../../org/java_websocket/framing/FramedataImpl1.html#FramedataImpl1(org.java_websocket.framing.Framedata)">FramedataImpl1</a></strong>(<a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;f)</code>
<div class="block">Helper constructor which helps to create "echo" frames.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.java_websocket.server">
<!--   -->
</a>
<h3>Uses of <a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a> in <a href="../../../../org/java_websocket/server/package-summary.html">org.java_websocket.server</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../org/java_websocket/server/package-summary.html">org.java_websocket.server</a> with parameters of type <a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketServer.</span><code><strong><a href="../../../../org/java_websocket/server/WebSocketServer.html#onFragment(org.java_websocket.WebSocket,%20org.java_websocket.framing.Framedata)">onFragment</a></strong>(<a href="../../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
          <a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;fragment)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketServer.</span><code><strong><a href="../../../../org/java_websocket/server/WebSocketServer.html#onWebsocketMessageFragment(org.java_websocket.WebSocket,%20org.java_websocket.framing.Framedata)">onWebsocketMessageFragment</a></strong>(<a href="../../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                          <a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;frame)</code>
<div class="block"><strong>Deprecated.</strong>&nbsp;</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/java_websocket/framing/class-use/Framedata.html" target="_top">Frames</a></li>
<li><a href="Framedata.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
